## WebKitDOMWebKitNamedFlow

WebKitDOMWebKitNamedFlow

## Functions

WebKitDOMNodeList * | webkit_dom_webkit_named_flow_get_regions_by_content ()
WebKitDOMNodeList * | webkit_dom_webkit_named_flow_get_regions ()
WebKitDOMNodeList * | webkit_dom_webkit_named_flow_get_content ()
gboolean | webkit_dom_webkit_named_flow_dispatch_event ()
gchar * | webkit_dom_webkit_named_flow_get_name ()
gboolean | webkit_dom_webkit_named_flow_get_overset ()
glong | webkit_dom_webkit_named_flow_get_first_empty_region_index ()
gboolean | webkit_dom_webkit_named_flow_get_overflow ()
WebKitDOMNodeList * | webkit_dom_webkit_named_flow_get_content_nodes ()
WebKitDOMNodeList * | webkit_dom_webkit_named_flow_get_regions_by_content_node ()

## Properties

glong | first-empty-region-index | Read
gchar * | name | Read
gboolean | overset | Read

## Types and Values

| WebKitDOMWebKitNamedFlow

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMWebKitNamedFlow

## Implemented Interfaces

WebKitDOMWebKitNamedFlow implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_webkit_named_flow_get_regions_by_content ()

    WebKitDOMNodeList *
    webkit_dom_webkit_named_flow_get_regions_by_content
                                   (WebKitDOMWebKitNamedFlow *self,
                                    WebKitDOMNode *contentNode);

#### Parameters

self | A WebKitDOMWebKitNamedFlow |
contentNode | A WebKitDOMNode |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_webkit_named_flow_get_regions ()

    WebKitDOMNodeList *
    webkit_dom_webkit_named_flow_get_regions
                                   (WebKitDOMWebKitNamedFlow *self);

#### Parameters

self | A WebKitDOMWebKitNamedFlow |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_webkit_named_flow_get_content ()

    WebKitDOMNodeList *
    webkit_dom_webkit_named_flow_get_content
                                   (WebKitDOMWebKitNamedFlow *self);

#### Parameters

self | A WebKitDOMWebKitNamedFlow |

#### Returns

A WebKitDOMNodeList.

[transfer full]

### webkit_dom_webkit_named_flow_dispatch_event ()

    gboolean
    webkit_dom_webkit_named_flow_dispatch_event
                                   (WebKitDOMWebKitNamedFlow *self,
                                    WebKitDOMEvent *event,
                                    GError **error);

`webkit_dom_webkit_named_flow_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMWebKitNamedFlow |
event | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_webkit_named_flow_get_name ()

    gchar *
    webkit_dom_webkit_named_flow_get_name (WebKitDOMWebKitNamedFlow *self);

`webkit_dom_webkit_named_flow_get_name` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMWebKitNamedFlow |

#### Returns

A gchar

### webkit_dom_webkit_named_flow_get_overset ()

    gboolean
    webkit_dom_webkit_named_flow_get_overset
                                   (WebKitDOMWebKitNamedFlow *self);

#### Parameters

self | A WebKitDOMWebKitNamedFlow |

#### Returns

A gboolean

### webkit_dom_webkit_named_flow_get_first_empty_region_index ()

    glong
    webkit_dom_webkit_named_flow_get_first_empty_region_index
                                   (WebKitDOMWebKitNamedFlow *self);

#### Parameters

self | A WebKitDOMWebKitNamedFlow |

#### Returns

A glong

### webkit_dom_webkit_named_flow_get_overflow ()

    gboolean
    webkit_dom_webkit_named_flow_get_overflow
                                   (WebKitDOMWebKitNamedFlow *flow);

`webkit_dom_webkit_named_flow_get_overflow` is deprecated and should not be used in newly-written code.

### webkit_dom_webkit_named_flow_get_content_nodes ()

    WebKitDOMNodeList *
    webkit_dom_webkit_named_flow_get_content_nodes
                                   (WebKitDOMWebKitNamedFlow *flow);

`webkit_dom_webkit_named_flow_get_content_nodes` is deprecated and should not be used in newly-written code.

### webkit_dom_webkit_named_flow_get_regions_by_content_node ()

    WebKitDOMNodeList *
    webkit_dom_webkit_named_flow_get_regions_by_content_node
                                   (WebKitDOMWebKitNamedFlow *flow,
                                    WebKitDOMNode *content_node);

`webkit_dom_webkit_named_flow_get_regions_by_content_node` is deprecated and should not be used in newly-written code.

## Types and Values

### WebKitDOMWebKitNamedFlow

    typedef struct _WebKitDOMWebKitNamedFlow WebKitDOMWebKitNamedFlow;

## Property Details

### The `“first-empty-region-index”` property

      “first-empty-region-index” glong

read-only glong WebKitNamedFlow:first-empty-region-index.

Flags: Read

Default value: 0

### The `“name”` property

      “name”                     gchar *

read-only gchar* WebKitNamedFlow:name.

Flags: Read

Default value: ""

### The `“overset”` property

      “overset”                  gboolean

read-only gboolean WebKitNamedFlow:overset.

Flags: Read

Default value: FALSE